Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.core
Class AttributeEvent

    java.lang.Object
      org.eclipse.birt.report.model.api.activity.NotificationEvent
          org.eclipse.birt.report.model.api.core.AttributeEvent

    public class AttributeEvent

extends NotificationEvent

Notification event that says that the attribute of the module is changed. The listener can find out which report design changed by calling `NotificationEvent.getTarget()`( ). The listener can get the new attribute value from the focus object.

Field Summary
`protected java.lang.String` | `attrName` The attribute name of the event.
`static java.lang.String` | `FILE_NAME_ATTRIBUTE` Name of 'fileName' attribute.

Fields inherited from class org.eclipse.birt.report.model.api.activity.NotificationEvent
`ATTRIBUTE_EVENT, CONTAINER, CONTENT_EVENT, CONTENT_REPLACE_EVENT, CONTENTS, CSS_EVENT, CSS_RELOADED_EVENT, CUSTOM_MSG_EVENT, deliveryPath, DESCENDENT, DIRECT, DISPOSE_EVENT, ELEMENT_CLIENT, ELEMENT_DELETE_EVENT, ELEMENT_LOCALIZE_EVENT, ENCRYPTION_EVENT, EXTENDS_EVENT, EXTENSION_PROPERTY_DEFINITION_EVENT, LAYOUT_CHANGED_EVENT, LIBRARY_CHANGE_EVENT, LIBRARY_EVENT, LIBRARY_RELOADED_EVENT, NAME_EVENT, NAME_SPACE_EVENT, PROPERTY_EVENT, sender, STRUCTURE_CLIENT, STYLE_CLIENT, STYLE_EVENT, target, TEMPLATE_TRANSFORM_EVENT, THEME_EVENT, USER_PROP_EVENT, VALIDATION_EVENT, VIEWS_CONTENT_EVENT`

Constructor Summary
`AttributeEvent(org.eclipse.birt.report.model.core.Module module, java.lang.String attrName)` Constructs a new file name event with the given module.

Method Summary
`java.lang.String` | `getAttributeName()` Gets the changed attribute name.
`int` | `getEventType()` Returns the event type.
`boolean` | `isSame(NotificationEvent event)` Compares and justifies whether this event and the given event is the same.

Methods inherited from class org.eclipse.birt.report.model.api.activity.NotificationEvent
`getDeliveryPath, getSender, getTarget, setDeliveryPath, setSender, setTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILE_NAME_ATTRIBUTE

    public static final java.lang.String FILE_NAME_ATTRIBUTE

  Name of 'fileName' attribute.

  See Also:
    Constant Field Values

### attrName

    protected final java.lang.String attrName

  The attribute name of the event.

Constructor Detail

### AttributeEvent

    public AttributeEvent(org.eclipse.birt.report.model.core.Module module,
                          java.lang.String attrName)

  Constructs a new file name event with the given module.

  Parameters:
    `module` - the changed module
    `attrName` - the changed attribute name

Method Detail

### getEventType

    public int getEventType()

  Description copied from class: `NotificationEvent`
  Returns the event type. The following event types are defined:
  - CONTENT_EVENT
  - ELEMENT_DELETE_EVENT
  - EXTENDS_EVENT
  - NAME_EVENT
  - NAME_SPACE_EVENT
  - PROPERTY_EVENT
  - STYLE_EVENT
  - USER_PROP_EVENT
  - CUSTOM_MSG_EVENT
  - EXTENSION_PROPERTY_DEFINITION_EVENT
  - NOTIFICATION_EVENT
  - VALIDATION_EVENT
  - LIBRARY_EVENT
  - ATTRIBUTE_EVENT
  - DISPOSE_EVENT
  - CONTENT_REPLACE_EVENT
  - TEMPLATE_TRANSFORM_EVENT

  Specified by:
    `getEventType` in class `NotificationEvent`
  Returns:
    the event type.

### getAttributeName

    public java.lang.String getAttributeName()

  Gets the changed attribute name.

  Returns:
    the changed attribute name

### isSame

    public boolean isSame(NotificationEvent event)

  Description copied from class: `NotificationEvent`
  Compares and justifies whether this event and the given event is the same.

  Overrides:
    `isSame` in class `NotificationEvent`
  Parameters:
    `event` - the event to compare
  Returns:
    true if the two events are the same, otherwise false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.